Method: projects.locations.functions.commitFunctionUpgradeAsGen2

Commits a function upgrade from GCF Gen1 to GCF Gen2. This action deletes the Gen1 function, leaving the Gen2 function active and manageable by the GCFv2 API.

HTTP request

POST https://cloudfunctions.googleapis.com/v2alpha/{name}:commitFunctionUpgradeAsGen2

Path parameters

Parameters
name

string

Required. The name of the function for which upgrade should be committed to Gen2.

Authorization requires the following IAM permission on the specified resource name:

  • cloudfunctions.functions.generationUpgrade

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.